/* ``The contents of this file are subject to the Erlang Public License,
 * Version 1.0, (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.erlang.org/EPL1_0.txt
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Erlang-4.7.3, December, 1998.
 * 
 * The Initial Developer of the Original Code is Ericsson Telecom
 * AB. Portions created by Ericsson are Copyright (C), 1998, Ericsson
 * Telecom AB. All Rights Reserved.
 * 
 * Contributor(s): ______________________________________.''
 */
/*
 * This header defines the protocol between the erlang 
 * memsup module and the C module.
 */
#ifndef _SYSMEM_H
#define _SYSMEM_H

/* Simple memory statistics */
#define MEM_SHOW 1 

/* Extended memory statistics */
#define SYSTEM_MEM_SHOW 2

/* Tags for the extended statistics */
#define SYSTEM_MEM_SHOW_END 0
#define SYSTEM_TOTAL_MEMORY 1
#define TOTAL_MEMORY 2
#define FREE_MEMORY 3
#define LARGEST_FREE 4
#define NUMBER_OF_FREE 5 
#endif
